'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.default = HexWidget;
var _react = _interopRequireWildcard(require('react'));
var _reactNativeReanimated = require('react-native-reanimated');
var _WidgetTextInput = _interopRequireDefault(require('./WidgetTextInput'));
var _colorKit = _interopRequireDefault(require('../../../colorKit/colorKit'));
function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function _getRequireWildcardCache(nodeInterop) {
  if (typeof WeakMap !== 'function') return null;
  var cacheBabelInterop = new WeakMap();
  var cacheNodeInterop = new WeakMap();
  return (_getRequireWildcardCache = function (nodeInterop) {
    return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
  })(nodeInterop);
}
function _interopRequireWildcard(obj, nodeInterop) {
  if (!nodeInterop && obj && obj.__esModule) {
    return obj;
  }
  if (obj === null || (typeof obj !== 'object' && typeof obj !== 'function')) {
    return { default: obj };
  }
  var cache = _getRequireWildcardCache(nodeInterop);
  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }
  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var key in obj) {
    if (key !== 'default' && Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }
  newObj.default = obj;
  if (cache) {
    cache.set(obj, newObj);
  }
  return newObj;
}
function HexWidget(_ref) {
  let {
    onChange,
    returnedResults,
    hueValue,
    saturationValue,
    brightnessValue,
    alphaValue,
    inputStyle,
    inputTitleStyle,
    inputProps,
  } = _ref;
  const [hexColor, setHexColorText] = (0, _react.useState)(returnedResults().hex);
  const isFocused = (0, _react.useRef)(false);
  const updateText = () => {
    if (!isFocused.current) setHexColorText(returnedResults().hex);
  };
  (0, _reactNativeReanimated.useDerivedValue)(
    (function () {
      const _f = function () {
        [hueValue.value, saturationValue.value, brightnessValue.value, alphaValue.value]; // To track changes
        (0, _reactNativeReanimated.runOnJS)(updateText)();
      };
      _f._closure = {
        hueValue,
        saturationValue,
        brightnessValue,
        alphaValue,
        runOnJS: _reactNativeReanimated.runOnJS,
        updateText,
      };
      _f.asString =
        'function _f(){const{hueValue,saturationValue,brightnessValue,alphaValue,runOnJS,updateText}=jsThis._closure;{[hueValue.value,saturationValue.value,brightnessValue.value,alphaValue.value];runOnJS(updateText)();}}';
      _f.__workletHash = 8119592659489;
      _f.__location =
        'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\InputWidget\\Widgets\\HexWidget.tsx (28:18)';
      return _f;
    })(),
    []
  );
  const onTextChange = text => {
    var _colorKit$getFormat;
    text = text.startsWith('#') ? text : '#' + text;
    setHexColorText(text);
    const isHex =
      (_colorKit$getFormat = _colorKit.default.getFormat(text)) === null || _colorKit$getFormat === void 0
        ? void 0
        : _colorKit$getFormat.includes('hex');
    if (isHex) onChange(text);
  };
  const onFocus = () => {
    isFocused.current = true;
  };
  const onBlur = () => {
    var _colorKit$getFormat2;
    isFocused.current = false;
    const isHex =
      (_colorKit$getFormat2 = _colorKit.default.getFormat(hexColor)) === null || _colorKit$getFormat2 === void 0
        ? void 0
        : _colorKit$getFormat2.includes('hex');
    if (isHex) return;
    setHexColorText(returnedResults().hex);
  };
  return /*#__PURE__*/ _react.default.createElement(_WidgetTextInput.default, {
    inputStyle: inputStyle,
    textStyle: inputTitleStyle,
    value: hexColor,
    title: 'HEX',
    onChange: onTextChange,
    onBlur: onBlur,
    onFocus: onFocus,
    inputProps: inputProps,
    textKeyboard: true,
  });
}
//# sourceMappingURL=HexWidget.js.map
