'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.default = TriangleUp;
var _react = _interopRequireDefault(require('react'));
var _reactNativeReanimated = _interopRequireWildcard(require('react-native-reanimated'));
var _utils = require('../../../utils');
var _styles = require('../../../styles');
function _getRequireWildcardCache(nodeInterop) {
  if (typeof WeakMap !== 'function') return null;
  var cacheBabelInterop = new WeakMap();
  var cacheNodeInterop = new WeakMap();
  return (_getRequireWildcardCache = function (nodeInterop) {
    return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
  })(nodeInterop);
}
function _interopRequireWildcard(obj, nodeInterop) {
  if (!nodeInterop && obj && obj.__esModule) {
    return obj;
  }
  if (obj === null || (typeof obj !== 'object' && typeof obj !== 'function')) {
    return { default: obj };
  }
  var cache = _getRequireWildcardCache(nodeInterop);
  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }
  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var key in obj) {
    if (key !== 'default' && Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }
  newObj.default = obj;
  if (cache) {
    cache.set(obj, newObj);
  }
  return newObj;
}
function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function TriangleUp(_ref) {
  let { width, height, thumbColor, adaptiveColor, handleStyle, innerStyle, style, vertical } = _ref;
  const computedStyle = {
    width,
    height,
    ...(vertical
      ? {
          justifyContent: 'center',
          alignItems: _utils.isRtl ? 'flex-end' : 'flex-start',
        }
      : {
          justifyContent: 'flex-end',
        }),
  };
  const triangleStyle = {
    borderBottomWidth: width / 2,
    borderLeftWidth: width / 4,
    borderRightWidth: width / 4,
    transform: [
      {
        rotate: vertical ? '90deg' : '0deg',
      },
    ],
  };
  const adaptiveColorStyle = (0, _reactNativeReanimated.useAnimatedStyle)(
    (function () {
      const _f = () => ({
        borderBottomColor: thumbColor || adaptiveColor.value,
      });
      _f._closure = {
        thumbColor,
        adaptiveColor,
      };
      _f.asString =
        'function _f(){const{thumbColor,adaptiveColor}=jsThis._closure;{return{borderBottomColor:thumbColor||adaptiveColor.value};}}';
      _f.__workletHash = 6327519840893;
      _f.__location =
        'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Thumb\\BuiltinThumbs\\TriangleUp.tsx (30:46)';
      _f.__optimalization = 3;
      return _f;
    })()
  );
  return /*#__PURE__*/ _react.default.createElement(
    _reactNativeReanimated.default.View,
    {
      style: [_styles.styles.handle, style, computedStyle, handleStyle],
    },
    /*#__PURE__*/ _react.default.createElement(_reactNativeReanimated.default.View, {
      style: [_styles.styles.triangle, triangleStyle, adaptiveColorStyle, innerStyle],
    })
  );
}
//# sourceMappingURL=TriangleUp.js.map
