'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.default = Thumb;
var _react = _interopRequireWildcard(require('react'));
var _reactNativeReanimated = require('react-native-reanimated');
var _styles = require('../../styles');
var _colorKit = _interopRequireDefault(require('../../colorKit/colorKit'));
var _AppContext = _interopRequireDefault(require('../../AppContext'));
var _index = _interopRequireDefault(require('./BuiltinThumbs/index'));
function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function _getRequireWildcardCache(nodeInterop) {
  if (typeof WeakMap !== 'function') return null;
  var cacheBabelInterop = new WeakMap();
  var cacheNodeInterop = new WeakMap();
  return (_getRequireWildcardCache = function (nodeInterop) {
    return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
  })(nodeInterop);
}
function _interopRequireWildcard(obj, nodeInterop) {
  if (!nodeInterop && obj && obj.__esModule) {
    return obj;
  }
  if (obj === null || (typeof obj !== 'object' && typeof obj !== 'function')) {
    return { default: obj };
  }
  var cache = _getRequireWildcardCache(nodeInterop);
  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }
  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var key in obj) {
    if (key !== 'default' && Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }
  newObj.default = obj;
  if (cache) {
    cache.set(obj, newObj);
  }
  return newObj;
}
function Thumb(_ref) {
  let {
    handleStyle,
    innerStyle,
    style,
    thumbColor,
    renderThumb: RenderThumb,
    thumbShape = 'ring',
    thumbSize,
    vertical = false,
    adaptSpectrum,
    channel,
  } = _ref;
  const { width, height, borderRadius } = {
    width: thumbSize,
    height: thumbSize,
    borderRadius: thumbSize / 2,
  };
  const { hueValue, saturationValue, brightnessValue, alphaValue, value } = (0, _react.useContext)(_AppContext.default);
  const resultColor = (0, _reactNativeReanimated.useSharedValue)('#ffffff');
  const solidColor = (0, _reactNativeReanimated.useAnimatedStyle)(
    (function () {
      const _f = () => ({
        backgroundColor: resultColor.value,
      });
      _f._closure = {
        resultColor,
      };
      _f.asString = 'function _f(){const{resultColor}=jsThis._closure;{return{backgroundColor:resultColor.value};}}';
      _f.__workletHash = 12991829208188;
      _f.__location = 'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Thumb\\Thumb.tsx (27:38)';
      _f.__optimalization = 3;
      return _f;
    })()
  );
  const setResultColor = color => {
    resultColor.value = _colorKit.default.HEX(color);
  };
  const adaptiveColor = (0, _reactNativeReanimated.useSharedValue)('#ffffff');
  const setAdaptiveColor = color1 => {
    const color = adaptiveColor.value === '#ffffff' ? '#000000' : '#ffffff';
    const contrast = _colorKit.default.contrastRatio(color1, adaptiveColor.value);
    adaptiveColor.value = contrast < 4.5 ? color : adaptiveColor.value;
  };

  /**
   * Get the current color and calculate its contrast ratio against white or black,
   * depending on the channel and whether 'adaptSpectrum' is enabled
   */
  const getColorForAdaptiveColor = (function () {
    const _f = function () {
      if (adaptSpectrum) {
        if (channel === 'a') {
          return alphaValue.value > 0.5
            ? {
                h: hueValue.value,
                s: saturationValue.value,
                v: brightnessValue.value,
              }
            : {
                h: 0,
                s: 0,
                v: 70,
              };
        }
        return {
          h: hueValue.value,
          s: saturationValue.value,
          v: brightnessValue.value,
        };
      }
      switch (channel) {
        case 'h':
          return {
            h: hueValue.value,
            s: 100,
            v: 100,
          };
        case 'v':
          return {
            h: hueValue.value,
            s: 100,
            v: brightnessValue.value,
          };
        case 's':
          return {
            h: hueValue.value,
            s: saturationValue.value,
            v: 70,
          };
        case 'a':
          return {
            h: hueValue.value,
            s: alphaValue.value * 100,
            v: 70,
          };
        default:
          return {
            h: hueValue.value,
            s: saturationValue.value,
            v: brightnessValue.value,
          };
      }
    };
    _f._closure = {
      adaptSpectrum,
      channel,
      alphaValue,
      hueValue,
      saturationValue,
      brightnessValue,
    };
    _f.asString =
      "function _f(){const{adaptSpectrum,channel,alphaValue,hueValue,saturationValue,brightnessValue}=jsThis._closure;{if(adaptSpectrum){if(channel==='a'){return alphaValue.value>0.5?{h:hueValue.value,s:saturationValue.value,v:brightnessValue.value}:{h:0,s:0,v:70};}return{h:hueValue.value,s:saturationValue.value,v:brightnessValue.value};}switch(channel){case'h':return{h:hueValue.value,s:100,v:100};case'v':return{h:hueValue.value,s:100,v:brightnessValue.value};case's':return{h:hueValue.value,s:saturationValue.value,v:70};case'a':return{h:hueValue.value,s:alphaValue.value*100,v:70};default:return{h:hueValue.value,s:saturationValue.value,v:brightnessValue.value};}}}";
    _f.__workletHash = 4227988470239;
    _f.__location = 'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Thumb\\Thumb.tsx (43:35)';
    return _f;
  })();

  // When the values of channels change
  (0, _reactNativeReanimated.useDerivedValue)(
    (function () {
      const _f = function () {
        alphaValue.value; // to keep track with `alphaValue` changes
        (0, _reactNativeReanimated.runOnJS)(setAdaptiveColor)(getColorForAdaptiveColor());
        (0, _reactNativeReanimated.runOnJS)(setResultColor)({
          h: hueValue.value,
          s: saturationValue.value,
          v: brightnessValue.value,
        });
      };
      _f._closure = {
        alphaValue,
        runOnJS: _reactNativeReanimated.runOnJS,
        setAdaptiveColor,
        getColorForAdaptiveColor,
        setResultColor,
        hueValue,
        saturationValue,
        brightnessValue,
      };
      _f.asString =
        'function _f(){const{alphaValue,runOnJS,setAdaptiveColor,getColorForAdaptiveColor,setResultColor,hueValue,saturationValue,brightnessValue}=jsThis._closure;{alphaValue.value;runOnJS(setAdaptiveColor)(getColorForAdaptiveColor());runOnJS(setResultColor)({h:hueValue.value,s:saturationValue.value,v:brightnessValue.value});}}';
      _f.__workletHash = 12070766702289;
      _f.__location = 'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Thumb\\Thumb.tsx (69:18)';
      return _f;
    })()
  );
  const thumbProps = {
    width,
    height,
    borderRadius,
    vertical,
    solidColor,
    adaptiveColor,
    handleStyle,
    innerStyle,
    style,
    thumbColor,
  };

  // render a custom thumb
  if (RenderThumb)
    return /*#__PURE__*/ _react.default.createElement(RenderThumb, {
      positionStyle: [_styles.styles.handle, handleStyle],
      width: width,
      height: height,
      initialColor: value,
      currentColor: resultColor,
      adaptiveColor: adaptiveColor,
    });

  // normalize 'thumbShape' string to match 'BuiltinThumbs' keys.
  const thumb_Shape = thumbShape.toLowerCase().charAt(0).toUpperCase() + thumbShape.slice(1);
  if (thumb_Shape in _index.default) {
    const SelectedThumb = _index.default[thumb_Shape];
    return /*#__PURE__*/ _react.default.createElement(SelectedThumb, thumbProps);
  }

  // default to the 'Ring' thumb
  return /*#__PURE__*/ _react.default.createElement(_index.default.Ring, thumbProps);
}
//# sourceMappingURL=Thumb.js.map
