import React, { useRef, useState } from 'react';
import { runOnJS, useDerivedValue } from 'react-native-reanimated';
import WidgetTextInput from './WidgetTextInput';
import colorKit from '../../../colorKit/colorKit';
export default function HexWidget(_ref) {
  let {
    onChange,
    returnedResults,
    hueValue,
    saturationValue,
    brightnessValue,
    alphaValue,
    inputStyle,
    inputTitleStyle,
    inputProps,
  } = _ref;
  const [hexColor, setHexColorText] = useState(returnedResults().hex);
  const isFocused = useRef(false);
  const updateText = () => {
    if (!isFocused.current) setHexColorText(returnedResults().hex);
  };
  useDerivedValue(
    (function () {
      const _f = function () {
        [hueValue.value, saturationValue.value, brightnessValue.value, alphaValue.value]; // To track changes
        runOnJS(updateText)();
      };
      _f._closure = {
        hueValue,
        saturationValue,
        brightnessValue,
        alphaValue,
        runOnJS,
        updateText,
      };
      _f.asString =
        'function _f(){const{hueValue,saturationValue,brightnessValue,alphaValue,runOnJS,updateText}=jsThis._closure;{[hueValue.value,saturationValue.value,brightnessValue.value,alphaValue.value];runOnJS(updateText)();}}';
      _f.__workletHash = 8119592659489;
      _f.__location =
        'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\InputWidget\\Widgets\\HexWidget.tsx (28:18)';
      return _f;
    })(),
    []
  );
  const onTextChange = text => {
    var _colorKit$getFormat;
    text = text.startsWith('#') ? text : '#' + text;
    setHexColorText(text);
    const isHex =
      (_colorKit$getFormat = colorKit.getFormat(text)) === null || _colorKit$getFormat === void 0
        ? void 0
        : _colorKit$getFormat.includes('hex');
    if (isHex) onChange(text);
  };
  const onFocus = () => {
    isFocused.current = true;
  };
  const onBlur = () => {
    var _colorKit$getFormat2;
    isFocused.current = false;
    const isHex =
      (_colorKit$getFormat2 = colorKit.getFormat(hexColor)) === null || _colorKit$getFormat2 === void 0
        ? void 0
        : _colorKit$getFormat2.includes('hex');
    if (isHex) return;
    setHexColorText(returnedResults().hex);
  };
  return /*#__PURE__*/ React.createElement(WidgetTextInput, {
    inputStyle: inputStyle,
    textStyle: inputTitleStyle,
    value: hexColor,
    title: 'HEX',
    onChange: onTextChange,
    onBlur: onBlur,
    onFocus: onFocus,
    inputProps: inputProps,
    textKeyboard: true,
  });
}
//# sourceMappingURL=HexWidget.js.map
