import React, { useState, useMemo, useContext } from 'react';
import { View, Text, ImageBackground } from 'react-native';
import Animated, { runOnJS, useAnimatedStyle, useDerivedValue, useSharedValue } from 'react-native-reanimated';
import { styles } from '../styles';
import { ConditionalRendering, getStyle, isWeb } from '../utils';
import colorKit from '../colorKit/colorKit';
import pickerContext from '../AppContext';
const ReText = _ref => {
  let { text, style, hash } = _ref;
  const [color, setColor] = useState(text());
  const updateText = () => {
    setColor(text());
  };
  useDerivedValue(
    (function () {
      const _f = function () {
        hash.forEach(e => e.value);
        runOnJS(updateText)();
      };
      _f._closure = {
        hash,
        runOnJS,
        updateText,
      };
      _f.asString =
        'function _f(){const{hash,runOnJS,updateText}=jsThis._closure;{hash.forEach(function(e){return e.value;});runOnJS(updateText)();}}';
      _f.__workletHash = 16418844065805;
      _f.__location = 'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Preview.tsx (22:18)';
      return _f;
    })()
  );
  return /*#__PURE__*/ React.createElement(
    Animated.Text,
    {
      style: [styles.previewInitialText, ...style],
    },
    color
  );
};
export function Preview(_ref2) {
  let { style = {}, textStyle = {}, colorFormat = 'hex', hideInitialColor = false, hideText = false } = _ref2;
  const { hueValue, saturationValue, brightnessValue, alphaValue, returnedResults, value } = useContext(pickerContext);
  const justifyContent = getStyle(style, 'justifyContent') ?? 'center';

  // To track changes in the color channel values of the ReText component.
  const colorHash = [hueValue, saturationValue, brightnessValue, alphaValue];
  const initialColorText = useMemo(() => {
    const adaptiveTextColor =
      alphaValue.value > 0.5
        ? value
        : {
            h: 0,
            s: 0,
            v: 70,
          };
    const contrast = colorKit.contrastRatio(adaptiveTextColor, '#fff');
    const color = contrast < 4.5 ? '#000' : '#fff';
    return {
      formatted: returnedResults()[colorFormat],
      color,
    };
  }, [value, colorFormat]);
  const textColor = useSharedValue('#fff');
  const textColorStyle = useAnimatedStyle(
    (function () {
      const _f = () => ({
        color: textColor.value,
      });
      _f._closure = {
        textColor,
      };
      _f.asString = 'function _f(){const{textColor}=jsThis._closure;{return{color:textColor.value};}}';
      _f.__workletHash = 14472989744818;
      _f.__location = 'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Preview.tsx (52:42)';
      _f.__optimalization = 3;
      return _f;
    })()
  );
  const setTextColor = color1 => {
    const color = textColor.value === '#ffffff' ? '#000000' : '#ffffff';
    const contrast = colorKit.contrastRatio(color1, textColor.value);
    textColor.value = contrast < 4.5 ? color : textColor.value;
  };
  const previewColor = useSharedValue('#fff');
  const previewColorStyle = useAnimatedStyle(
    (function () {
      const _f = () => ({
        backgroundColor: previewColor.value,
      });
      _f._closure = {
        previewColor,
      };
      _f.asString = 'function _f(){const{previewColor}=jsThis._closure;{return{backgroundColor:previewColor.value};}}';
      _f.__workletHash = 9056204683932;
      _f.__location = 'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Preview.tsx (60:45)';
      _f.__optimalization = 3;
      return _f;
    })()
  );
  const setPreviewColor = color => {
    previewColor.value = colorKit.HEX(color);
  };

  // When the values of channels change
  useDerivedValue(
    (function () {
      const _f = function () {
        const currentColor = {
          h: hueValue.value,
          s: saturationValue.value,
          v: brightnessValue.value,
          a: alphaValue.value,
        };
        const adaptiveTextColor =
          alphaValue.value > 0.5
            ? currentColor
            : {
                h: 0,
                s: 0,
                v: 70,
              };
        runOnJS(setPreviewColor)(currentColor);
        runOnJS(setTextColor)(adaptiveTextColor);
      };
      _f._closure = {
        hueValue,
        saturationValue,
        brightnessValue,
        alphaValue,
        runOnJS,
        setPreviewColor,
        setTextColor,
      };
      _f.asString =
        'function _f(){const{hueValue,saturationValue,brightnessValue,alphaValue,runOnJS,setPreviewColor,setTextColor}=jsThis._closure;{const currentColor={h:hueValue.value,s:saturationValue.value,v:brightnessValue.value,a:alphaValue.value};const adaptiveTextColor=alphaValue.value>0.5?currentColor:{h:0,s:0,v:70};runOnJS(setPreviewColor)(currentColor);runOnJS(setTextColor)(adaptiveTextColor);}}';
      _f.__workletHash = 1063704335960;
      _f.__location = 'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Preview.tsx (66:18)';
      return _f;
    })()
  );
  return /*#__PURE__*/ React.createElement(
    Wrapper,
    {
      style: style,
    },
    /*#__PURE__*/ React.createElement(
      ConditionalRendering,
      {
        render: !hideInitialColor,
      },
      /*#__PURE__*/ React.createElement(
        View,
        {
          style: [
            styles.previewContainer,
            {
              backgroundColor: value,
              justifyContent,
            },
          ],
        },
        /*#__PURE__*/ React.createElement(
          ConditionalRendering,
          {
            render: !hideText,
          },
          /*#__PURE__*/ React.createElement(
            Text,
            {
              style: [
                {
                  color: initialColorText.color,
                },
                styles.previewInitialText,
                textStyle,
              ],
            },
            initialColorText.formatted
          )
        )
      )
    ),
    /*#__PURE__*/ React.createElement(
      Animated.View,
      {
        style: [
          styles.previewContainer,
          {
            justifyContent,
          },
          previewColorStyle,
        ],
      },
      /*#__PURE__*/ React.createElement(
        ConditionalRendering,
        {
          render: !hideText,
        },
        /*#__PURE__*/ React.createElement(ReText, {
          text: () => returnedResults()[colorFormat],
          hash: colorHash,
          style: [textStyle, textColorStyle],
        })
      )
    )
  );
}
function Wrapper(_ref3) {
  let { children, style } = _ref3;
  if (isWeb) {
    return /*#__PURE__*/ React.createElement(
      View,
      {
        style: [styles.previewWrapper, previewWrapperWeb, style],
      },
      children
    );
  }
  return /*#__PURE__*/ React.createElement(
    ImageBackground,
    {
      source: require('../assets/transparent-texture.png'),
      resizeMode: 'repeat',
      style: [styles.previewWrapper, style],
    },
    children
  );
}
const previewWrapperWeb = {
  backgroundImage:
    'repeating-linear-gradient(45deg, #c1c1c1 25%, transparent 25%, transparent 75%, #c1c1c1 75%, #c1c1c1), repeating-linear-gradient(45deg, #c1c1c1 25%, #fff 25%, #fff 75%, #c1c1c1 75%, #c1c1c1)',
  backgroundPosition: '0px 0px, 8px 8px',
  backgroundSize: '16px 16px',
};
//# sourceMappingURL=Preview.js.map
