import React, { useState, useContext } from 'react';
import { Text } from 'react-native';
import { runOnJS, useDerivedValue } from 'react-native-reanimated';
import pickerContext from '../AppContext';
import { styles } from '../styles';
export function PreviewText(_ref) {
  let { style = {}, colorFormat = 'hex' } = _ref;
  const { returnedResults, hueValue, saturationValue, brightnessValue, alphaValue } = useContext(pickerContext);
  const [text, setText] = useState(returnedResults()[colorFormat]);
  const updateText = () => {
    setText(returnedResults()[colorFormat]);
  };
  useDerivedValue(
    (function () {
      const _f = function () {
        // To track changes in the color channel values of the ReText component.
        [hueValue.value, saturationValue.value, brightnessValue.value, alphaValue.value];
        runOnJS(updateText)();
      };
      _f._closure = {
        hueValue,
        saturationValue,
        brightnessValue,
        alphaValue,
        runOnJS,
        updateText,
      };
      _f.asString =
        'function _f(){const{hueValue,saturationValue,brightnessValue,alphaValue,runOnJS,updateText}=jsThis._closure;{[hueValue.value,saturationValue.value,brightnessValue.value,alphaValue.value];runOnJS(updateText)();}}';
      _f.__workletHash = 8119592659489;
      _f.__location = 'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\PreviewText.tsx (19:18)';
      return _f;
    })(),
    [colorFormat]
  );
  return /*#__PURE__*/ React.createElement(
    Text,
    {
      style: [styles.previewText, style],
    },
    text
  );
}
//# sourceMappingURL=PreviewText.js.map
