import React from 'react';
import Animated, { useAnimatedStyle } from 'react-native-reanimated';
import { styles } from '../../../styles';
export default function Line(_ref) {
  let { width, height, borderRadius, thumbColor, adaptiveColor, handleStyle, innerStyle, style, vertical } = _ref;
  const thickness = 3;
  const computedStyle = {
    width,
    height,
  };
  const lineStyle = {
    borderRadius,
    backgroundColor: thumbColor,
    width: vertical ? '100%' : thickness,
    height: vertical ? thickness : '100%',
  };
  const adaptiveColorStyle = useAnimatedStyle(
    (function () {
      const _f = () => ({
        backgroundColor: thumbColor || adaptiveColor.value,
      });
      _f._closure = {
        thumbColor,
        adaptiveColor,
      };
      _f.asString =
        'function _f(){const{thumbColor,adaptiveColor}=jsThis._closure;{return{backgroundColor:thumbColor||adaptiveColor.value};}}';
      _f.__workletHash = 7964224910800;
      _f.__location =
        'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Thumb\\BuiltinThumbs\\Line.tsx (27:46)';
      _f.__optimalization = 3;
      return _f;
    })()
  );
  return /*#__PURE__*/ React.createElement(
    Animated.View,
    {
      style: [styles.handle, style, computedStyle, handleStyle],
    },
    /*#__PURE__*/ React.createElement(Animated.View, {
      style: [lineStyle, styles.shadow, adaptiveColorStyle, innerStyle],
    })
  );
}
//# sourceMappingURL=Line.js.map
