import React from 'react';
import Animated, { useAnimatedStyle } from 'react-native-reanimated';
import { styles } from '../../../styles';
export default function Plus(_ref) {
  let { width, height, borderRadius, thumbColor, adaptiveColor, handleStyle, innerStyle, style, vertical } = _ref;
  const thickness = 2;
  const computedStyle = {
    width,
    height,
    borderRadius,
    borderWidth: thickness,
  };
  const line1 = {
    borderRadius,
    position: 'absolute',
    width: vertical ? '100%' : thickness,
    height: vertical ? thickness : '100%',
  };
  const line2 = {
    borderRadius,
    width: vertical ? thickness : '100%',
    height: vertical ? '100%' : thickness,
  };
  const adaptiveColorStyle = useAnimatedStyle(
    (function () {
      const _f = () => ({
        backgroundColor: thumbColor || adaptiveColor.value,
      });
      _f._closure = {
        thumbColor,
        adaptiveColor,
      };
      _f.asString =
        'function _f(){const{thumbColor,adaptiveColor}=jsThis._closure;{return{backgroundColor:thumbColor||adaptiveColor.value};}}';
      _f.__workletHash = 7964224910800;
      _f.__location =
        'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Thumb\\BuiltinThumbs\\Plus.tsx (32:46)';
      _f.__optimalization = 3;
      return _f;
    })()
  );
  const adaptiveBorderColorStyle = useAnimatedStyle(
    (function () {
      const _f = () => ({
        borderColor: thumbColor || adaptiveColor.value,
      });
      _f._closure = {
        thumbColor,
        adaptiveColor,
      };
      _f.asString =
        'function _f(){const{thumbColor,adaptiveColor}=jsThis._closure;{return{borderColor:thumbColor||adaptiveColor.value};}}';
      _f.__workletHash = 6935533137874;
      _f.__location =
        'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Thumb\\BuiltinThumbs\\Plus.tsx (33:52)';
      _f.__optimalization = 3;
      return _f;
    })()
  );
  return /*#__PURE__*/ React.createElement(
    Animated.View,
    {
      style: [styles.handle, style, computedStyle, adaptiveBorderColorStyle, handleStyle],
    },
    /*#__PURE__*/ React.createElement(Animated.View, {
      style: [line1, styles.shadow, adaptiveColorStyle, innerStyle],
    }),
    /*#__PURE__*/ React.createElement(Animated.View, {
      style: [line2, styles.shadow, adaptiveColorStyle, innerStyle],
    })
  );
}
//# sourceMappingURL=Plus.js.map
