import React from 'react';
import Animated, { useAnimatedStyle } from 'react-native-reanimated';
import { isRtl } from '../../../utils';
import { styles } from '../../../styles';
export default function TriangleUp(_ref) {
  let { width, height, thumbColor, adaptiveColor, handleStyle, innerStyle, style, vertical } = _ref;
  const computedStyle = {
    width,
    height,
    ...(vertical
      ? {
          justifyContent: 'center',
          alignItems: isRtl ? 'flex-end' : 'flex-start',
        }
      : {
          justifyContent: 'flex-end',
        }),
  };
  const triangleStyle = {
    borderBottomWidth: width / 2,
    borderLeftWidth: width / 4,
    borderRightWidth: width / 4,
    transform: [
      {
        rotate: vertical ? '90deg' : '0deg',
      },
    ],
  };
  const adaptiveColorStyle = useAnimatedStyle(
    (function () {
      const _f = () => ({
        borderBottomColor: thumbColor || adaptiveColor.value,
      });
      _f._closure = {
        thumbColor,
        adaptiveColor,
      };
      _f.asString =
        'function _f(){const{thumbColor,adaptiveColor}=jsThis._closure;{return{borderBottomColor:thumbColor||adaptiveColor.value};}}';
      _f.__workletHash = 6327519840893;
      _f.__location =
        'D:\\Development\\--- Packages ---\\reanimated-color-picker\\src\\components\\Thumb\\BuiltinThumbs\\TriangleUp.tsx (30:46)';
      _f.__optimalization = 3;
      return _f;
    })()
  );
  return /*#__PURE__*/ React.createElement(
    Animated.View,
    {
      style: [styles.handle, style, computedStyle, handleStyle],
    },
    /*#__PURE__*/ React.createElement(Animated.View, {
      style: [styles.triangle, triangleStyle, adaptiveColorStyle, innerStyle],
    })
  );
}
//# sourceMappingURL=TriangleUp.js.map
