import React, { useState, useContext } from 'react';
import { Text } from 'react-native';
import { runOnJS, useDerivedValue } from 'react-native-reanimated';
import pickerContext from '../AppContext.js';
import { styles } from '../styles.js';
export function PreviewText({ style = {}, colorFormat = 'hex' }) {
  const { returnedResults, hueValue, saturationValue, brightnessValue, alphaValue } = useContext(pickerContext);
  const [text, setText] = useState(returnedResults()[colorFormat]);
  const updateText = () => {
    setText(returnedResults()[colorFormat]);
  };
  useDerivedValue(() => {
    // To track changes in the color channel values of the ReText component.
    [hueValue.value, saturationValue.value, brightnessValue.value, alphaValue.value];
    runOnJS(updateText)();
  }, [colorFormat]);
  return <Text style={[styles.previewText, style]}>{text}</Text>;
}
